{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.getRequireds(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ExtensionEndOperations.validateMultiplicity(Lorg/eclipse/uml2/uml/ExtensionEnd;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setRealDefaultValue(D)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allOwningPackages()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isTemplateParameter()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIntegerDefaultValue(I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setOpposite(Lorg/eclipse/uml2/uml/Property;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ExtensionEndOperations.getLower(Lorg/eclipse/uml2/uml/ExtensionEnd;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateDerivedUnionIsDerived(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOpposite()Lorg/eclipse/uml2/uml/Property;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateRedefinitionContextValid(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateLowerIsInteger(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ExtensionEndOperations.validateAggregation(Lorg/eclipse/uml2/uml/ExtensionEnd;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDefault()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateMultiplicityOfComposite(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.isMultivalued()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateVisibilityNeedsOwnership(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.lowerBound()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createDependency(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Dependency;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isDistinguishableFrom(Lorg/eclipse/uml2/uml/NamedElement;Lorg/eclipse/uml2/uml/Namespace;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isComposite()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.validateEncapsulatedOwner(Lorg/eclipse/uml2/uml/Port;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIsNavigable(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.createUsage(Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/uml2/uml/Usage;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.validatePortAggregation(Lorg/eclipse/uml2/uml/Port;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDeployedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setBooleanDefaultValue(Z)V": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.getProvideds(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isCompatibleWith(Lorg/eclipse/uml2/uml/ParameterableElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel()Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getLabel(Z)Ljava/lang/String;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isNavigable()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateDerivedUnionIsReadOnly(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ExtensionEndOperations.lowerBound(Lorg/eclipse/uml2/uml/ExtensionEnd;)I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isRedefinitionContextValid(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.separator()Ljava/lang/String;": 2,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setStringDefaultValue(Ljava/lang/String;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.basicRequired(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateBindingToAttribute(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isAttribute()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.unsetDefault()V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setUnlimitedNaturalDefaultValue(I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.validateDefaultValue(Lorg/eclipse/uml2/uml/Port;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.upperBound()I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateValueSpecificationNoSideEffects(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateValueSpecificationConstant(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getEnds()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.allNamespaces()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getLower()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.is(II)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateSubsettingRules(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateRedefinitionConsistent(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.includesMultiplicity(Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.basicProvided(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateQualifiedIsAssociationEnd(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateLowerGe0(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateSubsettedPropertyNames(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setLower(I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isConsistentWith(Lorg/eclipse/uml2/uml/RedefinableElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateTypeOfOppositeEnd(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateUpperIsUnlimitedNatural(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.validateUpperGeLower(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.compatibleWith(Lorg/eclipse/uml2/uml/MultiplicityElement;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.validateNonLeafRedefinition(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasNoQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setNullDefaultValue()V": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateSubsettingContextConforms(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setUpper(I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIsComposite(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOtherEnd()Lorg/eclipse/uml2/uml/Property;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.subsettingContext()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setDefault(Ljava/lang/String;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ExtensionEndOperations.setLower(Lorg/eclipse/uml2/uml/ExtensionEnd;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.validateHasQualifiedName(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetDefault()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getUpper()I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateDeploymentTarget(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.validateRedefinedPropertyInherited(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 2
  }
}